---
cloud_admin: admin

identifier:
  "{{ lookup('env','IDENTIFIER')
      | default('by-az-infra-manager', true) }}"

base_network_identifier:
  "{{ lookup('env','NETWORK_IDENTIFIER')
      | default(identifier, true) }}"

network_identifier:
  "{{ (base_network_identifier == 'NONE') |
      ternary('', base_network_identifier) }}"

add_floating_ip:
  "{{ lookup('env','ADD_FLOATING_IP')
      | default(false, true) }}"

az_resource_group:
  "{{ lookup('env','TENANT_NAME')
      | default(os_infra.tenant.name, true) }}"
az_user_name:
  "{{ lookup('env','USER_NAME')
      | default(os_infra.user.name, true) }}"

dns_update_providers:
  - gandiv5

gandiv5_api_key: "{{ lookup('env','GANDI_API_V5_KEY') }}"

dns_name:
  "{{ lookup('env','DNS_NAME')
      | default(os_infra.dns.name, true) }}"
